# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    HTML-TableContentParser
%define upstream_version 0.301

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_1

Summary:    Do interesting things with the contents of tables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(HTML/Parser.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(parent.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch
Source44: import.info

%description
This package pulls out the contents of a table from a string containing
HTML. Each time a table is encountered, data will be stored in an array
consisting of a hash of whatever was discovered about the table -- id,
name, border, cellspacing etc, and of course data contained within the
table.

The format of each hash will look something like

  attributes            keys from the attributes of the <table> tag
  @{$table_headers}     array of table headers, in order found
  @{$table_rows}        rows discovered, in order

%prep
%setup -q -n %{upstream_name}-%{upstream_version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes LICENSES META.json META.yml  README TODO
%perl_vendor_privlib/*

%changelog
* Thu Jan 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.301-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.300-alt1_2
- update by mgaimport

* Sun Mar 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.300-alt1_1
- update by mgaimport

* Mon Feb 19 2018 Igor Vlasenko <viy@altlinux.ru> 0.201-alt1_1
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.13-alt2_7
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.13-alt2_6
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt2_5
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt2_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt2_3
- rebuild to get rid of unmets

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_3
- mga update

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_1
- converted for ALT Linux by srpmconvert tools

